Subject: Re: bug#7004: 23.2; In fullscreen mode, the echo area takes too much vertical space

From: Stefan Monnier <[email-masked]>
Date: Sat, 11 Sep 2010 14:44:05 +0200

>> It's clearly not a feature, so I'd qualify it as a bug.
>> The bug being that Emacs's display code insists on using "character
>> cells" as measuring unit.  Kim had started working on lifting this
>> restriction, but I don't know if anything came out of it,
> That doesn't matter.  When you say to the window manager to put Emacs in
> fullscreen, the height will be 1024 pixels (if that is what you have).
> And there will be a remainder that is not zero.  What do you purpose Emacs
> does with this extra space?

Display more text.  Maybe it will be part of a line, just like is
already the case if you have some fonts that aren't of the same height
as the "cell".
Most of my Elisp windows already end on a partial line, apparently
because the face I use for the docstrings doesn't have the same height
as my default face.  So in my case, the extra pixels might happen to
result in "showing the missing pixels of the last line" in some
cases ;-)

        Stefan

PS: And I did not say it was an easy thing to do, although back when Kim
mentioned his attempt, I mentioned that one way out would be to always
specify a default face of size 1 pixel (and then play tricks to never
actually use that face, of course).